<template>
  <div id="app">
    <svg
      class="my-4"
      width="100%"
      height="220"
      viewBox="0 0 665 402"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g filter="url(#filter0_d)">
        <path
          d="M164.707 224.84C161.067 224.84 157.927 224.24 155.287 223.04C152.647 221.8 150.627 220.04 149.227 217.76C147.827 215.48 147.127 212.8 147.127 209.72C147.127 208.44 147.287 206.96 147.607 205.28L152.287 182H164.167L159.547 205.1C159.307 206.3 159.187 207.4 159.187 208.4C159.187 212.8 161.507 215 166.147 215C168.667 215 170.647 214.24 172.087 212.72C173.567 211.16 174.667 208.62 175.387 205.1L180.007 182H191.707L186.967 205.82C184.407 218.5 176.987 224.84 164.707 224.84ZM220.275 224.84C216.795 224.84 213.495 224.42 210.375 223.58C207.255 222.74 204.715 221.66 202.755 220.34L207.435 211.46C209.555 212.82 211.815 213.86 214.215 214.58C216.615 215.26 219.015 215.6 221.415 215.6C223.695 215.6 225.455 215.28 226.695 214.64C227.975 213.96 228.615 213.04 228.615 211.88C228.615 210.88 228.035 210.1 226.875 209.54C225.755 208.98 223.995 208.38 221.595 207.74C218.875 207.02 216.615 206.3 214.815 205.58C213.015 204.82 211.455 203.68 210.135 202.16C208.855 200.64 208.215 198.64 208.215 196.16C208.215 193.16 209.035 190.54 210.675 188.3C212.315 186.02 214.655 184.26 217.695 183.02C220.735 181.78 224.295 181.16 228.375 181.16C231.375 181.16 234.175 181.48 236.775 182.12C239.375 182.72 241.615 183.6 243.495 184.76L239.175 193.58C237.535 192.54 235.715 191.76 233.715 191.24C231.755 190.68 229.735 190.4 227.655 190.4C225.295 190.4 223.435 190.78 222.075 191.54C220.755 192.3 220.095 193.28 220.095 194.48C220.095 195.52 220.675 196.32 221.835 196.88C222.995 197.44 224.795 198.04 227.235 198.68C229.955 199.36 232.195 200.06 233.955 200.78C235.755 201.5 237.295 202.6 238.575 204.08C239.855 205.56 240.495 207.5 240.495 209.9C240.495 212.86 239.655 215.48 237.975 217.76C236.335 220 233.975 221.74 230.895 222.98C227.855 224.22 224.315 224.84 220.275 224.84ZM282.823 182C288.263 182 292.463 183.18 295.423 185.54C298.383 187.9 299.863 191.22 299.863 195.5C299.863 199.02 299.003 202.1 297.283 204.74C295.603 207.38 293.183 209.42 290.023 210.86C286.903 212.3 283.263 213.02 279.103 213.02H270.703L268.543 224H256.663L265.063 182H282.823ZM279.643 203.66C282.283 203.66 284.303 203.04 285.703 201.8C287.143 200.56 287.863 198.8 287.863 196.52C287.863 194.8 287.283 193.52 286.123 192.68C285.003 191.8 283.383 191.36 281.263 191.36H275.023L272.563 203.66H279.643Z"
          fill="#4E94FD"
        />
        <path
          d="M330.121 195.08C332.841 192.32 336.761 190.94 341.881 190.94L339.901 201.2C338.901 201.08 338.041 201.02 337.321 201.02C334.761 201.02 332.701 201.64 331.141 202.88C329.621 204.08 328.601 206 328.081 208.64L324.961 224H313.561L320.041 191.48H330.841L330.121 195.08ZM389.732 205.22C389.732 206.78 389.512 208.56 389.072 210.56H365.192C365.592 214.08 368.052 215.84 372.572 215.84C374.012 215.84 375.412 215.62 376.772 215.18C378.132 214.74 379.352 214.08 380.432 213.2L385.172 220.34C381.372 223.14 376.752 224.54 371.312 224.54C367.872 224.54 364.832 223.94 362.192 222.74C359.592 221.5 357.572 219.78 356.132 217.58C354.732 215.34 354.032 212.72 354.032 209.72C354.032 206.16 354.852 202.96 356.492 200.12C358.172 197.24 360.492 195 363.452 193.4C366.452 191.76 369.872 190.94 373.712 190.94C376.952 190.94 379.772 191.54 382.172 192.74C384.612 193.9 386.472 195.56 387.752 197.72C389.072 199.88 389.732 202.38 389.732 205.22ZM373.172 199.04C371.332 199.04 369.792 199.54 368.552 200.54C367.312 201.5 366.412 202.84 365.852 204.56H379.232C379.272 202.84 378.732 201.5 377.612 200.54C376.492 199.54 375.012 199.04 373.172 199.04ZM445.274 191.48L436.454 235.64H425.054L427.874 221.6C425.434 223.56 422.554 224.54 419.234 224.54C416.834 224.54 414.574 223.96 412.454 222.8C410.374 221.6 408.694 219.88 407.414 217.64C406.134 215.4 405.494 212.76 405.494 209.72C405.494 206.2 406.274 203.02 407.834 200.18C409.434 197.3 411.574 195.04 414.254 193.4C416.974 191.76 419.934 190.94 423.134 190.94C428.214 190.94 431.654 192.64 433.454 196.04L434.414 191.48H445.274ZM417.014 209.18C417.014 211.1 417.554 212.62 418.634 213.74C419.754 214.82 421.274 215.36 423.194 215.36C425.474 215.36 427.334 214.52 428.774 212.84C430.214 211.16 430.934 208.98 430.934 206.3C430.934 204.38 430.374 202.86 429.254 201.74C428.174 200.62 426.674 200.06 424.754 200.06C422.474 200.06 420.614 200.9 419.174 202.58C417.734 204.26 417.014 206.46 417.014 209.18Z"
          fill="#FDA34E"
        />
        <path
          d="M155.287 223.04L154.437 224.85L154.448 224.856L154.46 224.861L155.287 223.04ZM149.227 217.76L150.931 216.713L149.227 217.76ZM147.607 205.28L145.646 204.886L145.644 204.896L145.642 204.906L147.607 205.28ZM152.287 182V180H150.649L150.326 181.606L152.287 182ZM164.167 182L166.128 182.392L166.607 180H164.167V182ZM159.547 205.1L161.508 205.492V205.492L159.547 205.1ZM172.087 212.72L170.636 211.343L170.635 211.345L172.087 212.72ZM175.387 205.1L177.347 205.501L177.348 205.492L175.387 205.1ZM180.007 182V180H178.368L178.046 181.608L180.007 182ZM191.707 182L193.669 182.39L194.144 180H191.707V182ZM186.967 205.82L188.928 206.216L188.929 206.21L186.967 205.82ZM164.707 222.84C161.282 222.84 158.437 222.275 156.115 221.219L154.46 224.861C157.417 226.205 160.852 226.84 164.707 226.84V222.84ZM156.137 221.23C153.817 220.14 152.109 218.631 150.931 216.713L147.523 218.807C149.145 221.449 151.477 223.46 154.437 224.85L156.137 221.23ZM150.931 216.713C149.753 214.794 149.127 212.487 149.127 209.72H145.127C145.127 213.113 145.902 216.166 147.523 218.807L150.931 216.713ZM149.127 209.72C149.127 208.599 149.268 207.249 149.572 205.654L145.642 204.906C145.306 206.671 145.127 208.281 145.127 209.72H149.127ZM149.568 205.674L154.248 182.394L150.326 181.606L145.646 204.886L149.568 205.674ZM152.287 184H164.167V180H152.287V184ZM162.206 181.608L157.586 204.708L161.508 205.492L166.128 182.392L162.206 181.608ZM157.586 204.708C157.326 206.009 157.187 207.243 157.187 208.4H161.187C161.187 207.557 161.289 206.591 161.508 205.492L157.586 204.708ZM157.187 208.4C157.187 210.936 157.861 213.199 159.551 214.801C161.221 216.385 163.545 217 166.147 217V213C164.11 213 162.953 212.515 162.303 211.899C161.673 211.301 161.187 210.264 161.187 208.4H157.187ZM166.147 217C169.096 217 171.646 216.094 173.539 214.095L170.635 211.345C169.649 212.386 168.238 213 166.147 213V217ZM173.538 214.097C175.395 212.139 176.596 209.168 177.347 205.501L173.428 204.699C172.738 208.072 171.739 210.181 170.636 211.343L173.538 214.097ZM177.348 205.492L181.968 182.392L178.046 181.608L173.426 204.708L177.348 205.492ZM180.007 184H191.707V180H180.007V184ZM189.746 181.61L185.006 205.43L188.929 206.21L193.669 182.39L189.746 181.61ZM185.007 205.424C183.786 211.469 181.457 215.767 178.183 218.564C174.921 221.352 170.497 222.84 164.707 222.84V226.84C171.197 226.84 176.623 225.158 180.781 221.606C184.927 218.063 187.588 212.851 188.928 206.216L185.007 205.424ZM210.375 223.58L209.855 225.511L210.375 223.58ZM202.755 220.34L200.986 219.408L200.149 220.996L201.638 221.999L202.755 220.34ZM207.435 211.46L208.515 209.777L206.681 208.6L205.666 210.528L207.435 211.46ZM214.215 214.58L213.64 216.496L213.655 216.5L213.67 216.504L214.215 214.58ZM226.695 214.64L227.612 216.417L227.623 216.412L227.633 216.406L226.695 214.64ZM226.875 209.54L225.981 211.329L225.993 211.335L226.006 211.341L226.875 209.54ZM221.595 207.74L222.11 205.808L222.107 205.807L221.595 207.74ZM214.815 205.58L214.037 207.422L214.055 207.43L214.072 207.437L214.815 205.58ZM210.135 202.16L208.605 203.448L208.615 203.46L208.625 203.471L210.135 202.16ZM210.675 188.3L212.289 189.481L212.294 189.475L212.299 189.468L210.675 188.3ZM217.695 183.02L218.45 184.872L217.695 183.02ZM236.775 182.12L236.297 184.062L236.311 184.066L236.325 184.069L236.775 182.12ZM243.495 184.76L245.291 185.64L246.089 184.011L244.545 183.058L243.495 184.76ZM239.175 193.58L238.104 195.269L239.989 196.465L240.971 194.46L239.175 193.58ZM233.715 191.24L233.166 193.163L233.189 193.17L233.212 193.176L233.715 191.24ZM222.075 191.54L221.099 189.794L221.088 189.8L221.077 189.807L222.075 191.54ZM221.835 196.88L220.966 198.681L221.835 196.88ZM227.235 198.68L226.728 200.615L226.739 200.617L226.75 200.62L227.235 198.68ZM233.955 200.78L233.198 202.631L233.205 202.634L233.212 202.637L233.955 200.78ZM237.975 217.76L236.365 216.574L236.361 216.579L237.975 217.76ZM230.895 222.98L230.148 221.125L230.14 221.128L230.895 222.98ZM220.275 222.84C216.957 222.84 213.833 222.44 210.895 221.649L209.855 225.511C213.157 226.4 216.633 226.84 220.275 226.84V222.84ZM210.895 221.649C207.915 220.846 205.596 219.842 203.872 218.681L201.638 221.999C203.834 223.478 206.595 224.634 209.855 225.511L210.895 221.649ZM204.524 221.272L209.204 212.392L205.666 210.528L200.986 219.408L204.524 221.272ZM206.355 213.143C208.631 214.603 211.061 215.722 213.64 216.496L214.79 212.664C212.569 211.998 210.479 211.037 208.515 209.777L206.355 213.143ZM213.67 216.504C216.24 217.233 218.824 217.6 221.415 217.6V213.6C219.207 213.6 216.99 213.287 214.76 212.656L213.67 216.504ZM221.415 217.6C223.835 217.6 225.964 217.268 227.612 216.417L225.778 212.863C224.947 213.292 223.555 213.6 221.415 213.6V217.6ZM227.633 216.406C229.374 215.482 230.615 213.975 230.615 211.88H226.615C226.615 212.105 226.576 212.438 225.757 212.874L227.633 216.406ZM230.615 211.88C230.615 209.88 229.358 208.518 227.745 207.739L226.006 211.341C226.386 211.525 226.53 211.678 226.575 211.738C226.596 211.766 226.602 211.782 226.605 211.791C226.608 211.8 226.615 211.826 226.615 211.88H230.615ZM227.77 207.751C226.461 207.097 224.54 206.455 222.11 205.808L221.08 209.672C223.45 210.305 225.049 210.863 225.981 211.329L227.77 207.751ZM222.107 205.807C219.434 205.099 217.257 204.403 215.558 203.723L214.072 207.437C215.973 208.197 218.316 208.941 221.083 209.673L222.107 205.807ZM215.593 203.737C214.083 203.1 212.771 202.145 211.645 200.849L208.625 203.471C210.139 205.215 211.947 206.54 214.037 207.422L215.593 203.737ZM211.665 200.872C210.758 199.795 210.215 198.289 210.215 196.16H206.215C206.215 198.991 206.952 201.485 208.605 203.448L211.665 200.872ZM210.215 196.16C210.215 193.549 210.92 191.351 212.289 189.481L209.061 187.119C207.15 189.729 206.215 192.771 206.215 196.16H210.215ZM212.299 189.468C213.684 187.541 215.699 185.994 218.45 184.872L216.94 181.168C213.612 182.526 210.946 184.499 209.051 187.132L212.299 189.468ZM218.45 184.872C221.2 183.75 224.493 183.16 228.375 183.16V179.16C224.097 179.16 220.27 179.81 216.94 181.168L218.45 184.872ZM228.375 183.16C231.233 183.16 233.871 183.465 236.297 184.062L237.253 180.178C234.479 179.495 231.517 179.16 228.375 179.16V183.16ZM236.325 184.069C238.756 184.63 240.784 185.437 242.445 186.462L244.545 183.058C242.446 181.763 239.994 180.81 237.225 180.171L236.325 184.069ZM241.699 183.88L237.379 192.7L240.971 194.46L245.291 185.64L241.699 183.88ZM240.246 191.891C238.42 190.733 236.406 189.873 234.218 189.304L233.212 193.176C235.024 193.647 236.65 194.347 238.104 195.269L240.246 191.891ZM234.265 189.317C232.122 188.705 229.917 188.4 227.655 188.4V192.4C229.553 192.4 231.388 192.655 233.166 193.163L234.265 189.317ZM227.655 188.4C225.115 188.4 222.873 188.803 221.099 189.794L223.051 193.286C223.998 192.757 225.475 192.4 227.655 192.4V188.4ZM221.077 189.807C219.331 190.812 218.095 192.366 218.095 194.48H222.095C222.095 194.194 222.179 193.788 223.073 193.273L221.077 189.807ZM218.095 194.48C218.095 195.398 218.36 196.274 218.911 197.034C219.445 197.771 220.175 198.3 220.966 198.681L222.705 195.079C222.335 194.9 222.195 194.749 222.149 194.686C222.12 194.646 222.095 194.602 222.095 194.48H218.095ZM220.966 198.681C222.305 199.328 224.257 199.967 226.728 200.615L227.743 196.745C225.333 196.113 223.685 195.552 222.705 195.079L220.966 198.681ZM226.75 200.62C229.416 201.287 231.557 201.96 233.198 202.631L234.712 198.929C232.833 198.16 230.494 197.433 227.72 196.74L226.75 200.62ZM233.212 202.637C234.713 203.237 235.989 204.148 237.062 205.388L240.088 202.772C238.601 201.052 236.798 199.763 234.698 198.923L233.212 202.637ZM237.062 205.388C237.961 206.428 238.495 207.867 238.495 209.9H242.495C242.495 207.133 241.749 204.692 240.088 202.772L237.062 205.388ZM238.495 209.9C238.495 212.454 237.78 214.654 236.365 216.574L239.585 218.946C241.53 216.306 242.495 213.266 242.495 209.9H238.495ZM236.361 216.579C234.982 218.463 232.95 219.997 230.148 221.125L231.642 224.835C235 223.483 237.689 221.537 239.589 218.941L236.361 216.579ZM230.14 221.128C227.388 222.251 224.114 222.84 220.275 222.84V226.84C224.516 226.84 228.322 226.189 231.65 224.832L230.14 221.128ZM295.423 185.54L296.67 183.976L295.423 185.54ZM297.283 204.74L295.607 203.648L295.601 203.657L295.595 203.666L297.283 204.74ZM290.023 210.86L289.193 209.04L289.185 209.044L290.023 210.86ZM270.703 213.02V211.02H269.058L268.74 212.634L270.703 213.02ZM268.543 224V226H270.188L270.505 224.386L268.543 224ZM256.663 224L254.702 223.608L254.223 226H256.663V224ZM265.063 182V180H263.423L263.102 181.608L265.063 182ZM285.703 201.8L284.398 200.284L284.387 200.294L284.377 200.303L285.703 201.8ZM286.123 192.68L284.887 194.253L284.918 194.277L284.95 194.3L286.123 192.68ZM275.023 191.36V189.36H273.383L273.062 190.968L275.023 191.36ZM272.563 203.66L270.602 203.268L270.123 205.66H272.563V203.66ZM282.823 184C288.002 184 291.696 185.127 294.176 187.104L296.67 183.976C293.229 181.233 288.523 180 282.823 180V184ZM294.176 187.104C296.594 189.032 297.863 191.739 297.863 195.5H301.863C301.863 190.701 300.172 186.768 296.67 183.976L294.176 187.104ZM297.863 195.5C297.863 198.679 297.091 201.37 295.607 203.648L298.958 205.832C300.914 202.83 301.863 199.361 301.863 195.5H297.863ZM295.595 203.666C294.146 205.944 292.041 207.742 289.193 209.04L290.852 212.68C294.324 211.098 297.06 208.815 298.97 205.814L295.595 203.666ZM289.185 209.044C286.377 210.34 283.033 211.02 279.103 211.02V215.02C283.492 215.02 287.429 214.26 290.861 212.676L289.185 209.044ZM279.103 211.02H270.703V215.02H279.103V211.02ZM268.74 212.634L266.58 223.614L270.505 224.386L272.665 213.406L268.74 212.634ZM268.543 222H256.663V226H268.543V222ZM258.624 224.392L267.024 182.392L263.102 181.608L254.702 223.608L258.624 224.392ZM265.063 184H282.823V180H265.063V184ZM279.643 205.66C282.571 205.66 285.137 204.973 287.029 203.297L284.377 200.303C283.469 201.107 281.994 201.66 279.643 201.66V205.66ZM287.008 203.316C288.977 201.62 289.863 199.255 289.863 196.52H285.863C285.863 198.345 285.308 199.5 284.398 200.284L287.008 203.316ZM289.863 196.52C289.863 194.304 289.083 192.354 287.296 191.06L284.95 194.3C285.483 194.686 285.863 195.296 285.863 196.52H289.863ZM287.358 191.107C285.75 189.844 283.621 189.36 281.263 189.36V193.36C283.144 193.36 284.255 193.756 284.887 194.253L287.358 191.107ZM281.263 189.36H275.023V193.36H281.263V189.36ZM273.062 190.968L270.602 203.268L274.524 204.052L276.984 191.752L273.062 190.968ZM272.563 205.66H279.643V201.66H272.563V205.66ZM330.121 195.08L328.16 194.688L326.847 201.251L331.546 196.484L330.121 195.08ZM341.881 190.94L343.845 191.319L344.304 188.94H341.881V190.94ZM339.901 201.2L339.663 203.186L341.512 203.408L341.865 201.579L339.901 201.2ZM331.141 202.88L332.38 204.45L332.386 204.446L331.141 202.88ZM328.081 208.64L330.041 209.038L330.043 209.027L328.081 208.64ZM324.961 224V226H326.596L326.921 224.398L324.961 224ZM313.561 224L311.6 223.609L311.123 226H313.561V224ZM320.041 191.48V189.48H318.4L318.08 191.089L320.041 191.48ZM330.841 191.48L332.802 191.872L333.281 189.48H330.841V191.48ZM331.546 196.484C333.78 194.216 337.118 192.94 341.881 192.94V188.94C336.404 188.94 331.902 190.424 328.697 193.676L331.546 196.484ZM339.917 190.561L337.937 200.821L341.865 201.579L343.845 191.319L339.917 190.561ZM340.139 199.214C339.089 199.088 338.145 199.02 337.321 199.02V203.02C337.937 203.02 338.713 203.072 339.663 203.186L340.139 199.214ZM337.321 199.02C334.439 199.02 331.9 199.722 329.897 201.314L332.386 204.446C333.502 203.558 335.083 203.02 337.321 203.02V199.02ZM329.902 201.31C327.884 202.903 326.695 205.327 326.119 208.253L330.043 209.027C330.507 206.673 331.358 205.257 332.38 204.45L329.902 201.31ZM326.121 208.242L323.001 223.602L326.921 224.398L330.041 209.038L326.121 208.242ZM324.961 222H313.561V226H324.961V222ZM315.522 224.391L322.002 191.871L318.08 191.089L311.6 223.609L315.522 224.391ZM320.041 193.48H330.841V189.48H320.041V193.48ZM328.88 191.088L328.16 194.688L332.082 195.472L332.802 191.872L328.88 191.088ZM389.072 210.56V212.56H390.68L391.026 210.99L389.072 210.56ZM365.192 210.56V208.56H362.952L363.205 210.786L365.192 210.56ZM376.772 215.18L377.388 217.083L376.772 215.18ZM380.432 213.2L382.099 212.094L380.879 210.256L379.169 211.65L380.432 213.2ZM385.172 220.34L386.359 221.95L387.892 220.82L386.839 219.234L385.172 220.34ZM362.192 222.74L361.331 224.545L361.348 224.553L361.365 224.561L362.192 222.74ZM356.132 217.58L354.436 218.64L354.448 218.658L354.459 218.675L356.132 217.58ZM356.492 200.12L354.765 199.112L354.76 199.12L356.492 200.12ZM363.452 193.4L364.403 195.159L364.412 195.155L363.452 193.4ZM382.172 192.74L381.278 194.529L381.296 194.538L381.314 194.546L382.172 192.74ZM387.752 197.72L386.032 198.74L386.039 198.751L386.046 198.763L387.752 197.72ZM368.552 200.54L369.777 202.121L369.792 202.109L369.808 202.097L368.552 200.54ZM365.852 204.56L363.951 203.941L363.098 206.56H365.852V204.56ZM379.232 204.56V206.56H381.186L381.232 204.606L379.232 204.56ZM377.612 200.54L376.28 202.032L376.295 202.045L376.311 202.059L377.612 200.54ZM387.732 205.22C387.732 206.599 387.537 208.23 387.119 210.13L391.026 210.99C391.488 208.89 391.732 206.961 391.732 205.22H387.732ZM389.072 208.56H365.192V212.56H389.072V208.56ZM363.205 210.786C363.457 213.003 364.403 214.88 366.174 216.147C367.873 217.363 370.09 217.84 372.572 217.84V213.84C370.534 213.84 369.261 213.437 368.501 212.893C367.811 212.4 367.328 211.637 367.18 210.334L363.205 210.786ZM372.572 217.84C374.22 217.84 375.828 217.588 377.388 217.083L376.157 213.277C374.997 213.652 373.805 213.84 372.572 213.84V217.84ZM377.388 217.083C378.978 216.569 380.419 215.791 381.696 214.75L379.169 211.65C378.286 212.369 377.287 212.911 376.157 213.277L377.388 217.083ZM378.766 214.306L383.506 221.446L386.839 219.234L382.099 212.094L378.766 214.306ZM383.986 218.73C380.58 221.239 376.393 222.54 371.312 222.54V226.54C377.112 226.54 382.164 225.041 386.359 221.95L383.986 218.73ZM371.312 222.54C368.105 222.54 365.356 221.981 363.02 220.919L361.365 224.561C364.309 225.899 367.639 226.54 371.312 226.54V222.54ZM363.053 220.935C360.751 219.837 359.026 218.349 357.806 216.485L354.459 218.675C356.119 221.211 358.433 223.163 361.331 224.545L363.053 220.935ZM357.828 216.52C356.653 214.639 356.032 212.397 356.032 209.72H352.032C352.032 213.043 352.812 216.041 354.436 218.64L357.828 216.52ZM356.032 209.72C356.032 206.48 356.775 203.63 358.224 201.12L354.76 199.12C352.93 202.29 352.032 205.84 352.032 209.72H356.032ZM358.22 201.128C359.713 198.568 361.763 196.587 364.403 195.159L362.501 191.641C359.222 193.413 356.632 195.912 354.765 199.112L358.22 201.128ZM364.412 195.155C367.083 193.695 370.166 192.94 373.712 192.94V188.94C369.579 188.94 365.822 189.825 362.493 191.645L364.412 195.155ZM373.712 192.94C376.706 192.94 379.208 193.494 381.278 194.529L383.067 190.951C380.337 189.586 377.199 188.94 373.712 188.94V192.94ZM381.314 194.546C383.423 195.549 384.97 196.948 386.032 198.74L389.473 196.7C387.975 194.172 385.802 192.251 383.031 190.934L381.314 194.546ZM386.046 198.763C387.151 200.572 387.732 202.702 387.732 205.22H391.732C391.732 202.058 390.994 199.188 389.459 196.677L386.046 198.763ZM373.172 197.04C370.95 197.04 368.946 197.653 367.297 198.983L369.808 202.097C370.638 201.427 371.715 201.04 373.172 201.04V197.04ZM367.328 198.959C365.724 200.2 364.615 201.9 363.951 203.941L367.754 205.179C368.21 203.78 368.901 202.8 369.777 202.121L367.328 198.959ZM365.852 206.56H379.232V202.56H365.852V206.56ZM381.232 204.606C381.283 202.398 380.568 200.439 378.914 199.021L376.311 202.059C376.897 202.561 377.262 203.282 377.233 204.514L381.232 204.606ZM378.944 199.048C377.38 197.651 375.388 197.04 373.172 197.04V201.04C374.637 201.04 375.605 201.429 376.28 202.032L378.944 199.048ZM445.274 191.48L447.235 191.872L447.713 189.48H445.274V191.48ZM436.454 235.64V237.64H438.094L438.415 236.032L436.454 235.64ZM425.054 235.64L423.093 235.246L422.612 237.64H425.054V235.64ZM427.874 221.6L429.835 221.994L430.921 216.587L426.622 220.041L427.874 221.6ZM412.454 222.8L411.455 224.532L411.474 224.544L411.494 224.555L412.454 222.8ZM407.414 217.64L409.151 216.648L407.414 217.64ZM407.834 200.18L406.086 199.209L406.081 199.217L407.834 200.18ZM414.254 193.4L413.221 191.687L413.21 191.694L414.254 193.4ZM433.454 196.04L431.687 196.976L434.273 201.861L435.411 196.452L433.454 196.04ZM434.414 191.48V189.48H432.791L432.457 191.068L434.414 191.48ZM418.634 213.74L417.194 215.128L417.22 215.154L417.246 215.18L418.634 213.74ZM428.774 212.84L430.293 214.142L428.774 212.84ZM429.254 201.74L427.814 203.128L427.827 203.141L427.84 203.154L429.254 201.74ZM419.174 202.58L420.693 203.882L419.174 202.58ZM443.313 191.088L434.493 235.248L438.415 236.032L447.235 191.872L443.313 191.088ZM436.454 233.64H425.054V237.64H436.454V233.64ZM427.015 236.034L429.835 221.994L425.913 221.206L423.093 235.246L427.015 236.034ZM426.622 220.041C424.559 221.697 422.128 222.54 419.234 222.54V226.54C422.98 226.54 426.309 225.423 429.127 223.159L426.622 220.041ZM419.234 222.54C417.172 222.54 415.242 222.046 413.414 221.045L411.494 224.555C413.906 225.874 416.496 226.54 419.234 226.54V222.54ZM413.454 221.068C411.703 220.058 410.268 218.604 409.151 216.648L405.678 218.632C407.12 221.156 409.045 223.142 411.455 224.532L413.454 221.068ZM409.151 216.648C408.072 214.76 407.494 212.474 407.494 209.72H403.494C403.494 213.046 404.196 216.04 405.678 218.632L409.151 216.648ZM407.494 209.72C407.494 206.507 408.203 203.663 409.587 201.143L406.081 199.217C404.345 202.377 403.494 205.893 403.494 209.72H407.494ZM409.582 201.151C411.023 198.558 412.927 196.557 415.298 195.106L413.21 191.694C410.221 193.523 407.845 196.042 406.086 199.209L409.582 201.151ZM415.287 195.113C417.693 193.662 420.295 192.94 423.134 192.94V188.94C419.573 188.94 416.256 189.858 413.221 191.687L415.287 195.113ZM423.134 192.94C427.749 192.94 430.346 194.443 431.687 196.976L435.222 195.104C432.963 190.837 428.679 188.94 423.134 188.94V192.94ZM435.411 196.452L436.371 191.892L432.457 191.068L431.497 195.628L435.411 196.452ZM434.414 193.48H445.274V189.48H434.414V193.48ZM415.014 209.18C415.014 211.49 415.675 213.553 417.194 215.128L420.074 212.352C419.433 211.687 419.014 210.71 419.014 209.18H415.014ZM417.246 215.18C418.822 216.699 420.884 217.36 423.194 217.36V213.36C421.664 213.36 420.687 212.941 420.022 212.3L417.246 215.18ZM423.194 217.36C426.038 217.36 428.46 216.28 430.293 214.142L427.256 211.538C426.209 212.76 424.911 213.36 423.194 213.36V217.36ZM430.293 214.142C432.106 212.027 432.934 209.352 432.934 206.3H428.934C428.934 208.608 428.323 210.293 427.256 211.538L430.293 214.142ZM432.934 206.3C432.934 203.97 432.241 201.898 430.668 200.326L427.84 203.154C428.508 203.822 428.934 204.79 428.934 206.3H432.934ZM430.694 200.352C429.152 198.753 427.082 198.06 424.754 198.06V202.06C426.267 202.06 427.196 202.487 427.814 203.128L430.694 200.352ZM424.754 198.06C421.911 198.06 419.489 199.14 417.656 201.278L420.693 203.882C421.74 202.66 423.038 202.06 424.754 202.06V198.06ZM417.656 201.278C415.838 203.399 415.014 206.096 415.014 209.18H419.014C419.014 206.824 419.63 205.121 420.693 203.882L417.656 201.278Z"
          fill="#F9F9F9"
        />
      </g>
      <g filter="url(#filter1_d)">
        <ellipse
          cx="26"
          cy="72.5"
          rx="20"
          ry="17.5"
          transform="rotate(-12 26 72.5)"
          fill="#4E94FD"
        />
      </g>
      <g filter="url(#filter2_d)">
        <ellipse
          cx="204.201"
          cy="111.276"
          rx="20"
          ry="17.5"
          transform="rotate(-12 204.201 111.276)"
          fill="#FDA34E"
        />
      </g>
      <g filter="url(#filter3_d)">
        <ellipse
          cx="476.201"
          cy="103.276"
          rx="20"
          ry="17.5"
          transform="rotate(-12 476.201 103.276)"
          fill="#FDA34E"
        />
      </g>
      <g filter="url(#filter4_d)">
        <ellipse
          cx="632.201"
          cy="21.2758"
          rx="20"
          ry="17.5"
          transform="rotate(-12 632.201 21.2758)"
          fill="#4E94FD"
        />
      </g>
      <g filter="url(#filter5_d)">
        <ellipse
          cx="492.201"
          cy="334.276"
          rx="20"
          ry="17.5"
          transform="rotate(-12 492.201 334.276)"
          fill="#4E94FD"
        />
      </g>
      <g filter="url(#filter6_d)">
        <ellipse
          cx="49.2014"
          cy="275.276"
          rx="20"
          ry="17.5"
          transform="rotate(-12 49.2014 275.276)"
          fill="#FDA34E"
        />
      </g>
      <g filter="url(#filter7_d)">
        <ellipse
          cx="204.201"
          cy="359.276"
          rx="20"
          ry="17.5"
          transform="rotate(-12 204.201 359.276)"
          fill="#4E94FD"
        />
      </g>
      <path
        d="M178.38 108.925C178.891 108.715 179.135 108.13 178.925 107.62L175.501 99.2962C175.291 98.7854 174.707 98.5417 174.196 98.7517C173.685 98.9618 173.442 99.5462 173.652 100.057L176.695 107.456L169.296 110.499C168.785 110.709 168.542 111.293 168.752 111.804C168.962 112.315 169.546 112.558 170.057 112.348L178.38 108.925ZM53.9076 78.4199C55.6905 74.5661 59.1723 72.3844 64.8525 71.8452C70.5869 71.3008 78.4185 72.4561 88.5844 75.2067C108.898 80.7028 138.107 92.443 177.615 108.923L178.385 107.077C138.914 90.6128 109.573 78.8136 89.1068 73.2761C78.8828 70.5098 70.7668 69.2748 64.6635 69.8541C58.5061 70.4386 54.2601 72.8946 52.0925 77.5801L53.9076 78.4199Z"
        fill="#C4C4C4"
      />
      <path
        d="M437.452 91.6748C437.857 91.299 437.881 90.6662 437.505 90.2615L431.38 83.6668C431.004 83.2621 430.372 83.2387 429.967 83.6146C429.562 83.9904 429.539 84.6231 429.915 85.0278L435.359 90.8898L429.497 96.3338C429.092 96.7096 429.069 97.3423 429.444 97.747C429.82 98.1517 430.453 98.1751 430.858 97.7993L437.452 91.6748ZM236.137 104.33C237.146 100.205 241.471 96.8646 250.124 94.3778C258.703 91.9124 271.16 90.3971 287.719 89.6203C320.822 88.0675 370.028 89.4751 436.735 91.9414L436.809 89.9427C370.128 87.4774 320.83 86.065 287.625 87.6225C271.031 88.4009 258.384 89.9233 249.572 92.4556C240.835 94.9666 235.483 98.5841 234.194 103.854L236.137 104.33Z"
        fill="#C4C4C4"
      />
      <path
        d="M462.63 329.734C463.017 329.341 463.012 328.708 462.619 328.32L456.204 322.008C455.81 321.62 455.177 321.625 454.789 322.019C454.402 322.413 454.407 323.046 454.801 323.433L460.503 329.044L454.892 334.747C454.504 335.14 454.51 335.773 454.903 336.161C455.297 336.548 455.93 336.543 456.317 336.149L462.63 329.734ZM228.121 351.794C228.663 349.729 230.165 347.795 232.849 345.996C235.538 344.193 239.343 342.576 244.337 341.139C254.325 338.264 268.845 336.168 288.14 334.622C326.714 331.532 384.118 330.659 461.925 330.033L461.909 328.033C384.124 328.659 326.641 329.532 287.98 332.629C268.657 334.177 253.972 336.284 243.784 339.217C238.691 340.683 234.666 342.37 231.736 344.335C228.8 346.302 226.892 348.598 226.186 351.286L228.121 351.794Z"
        fill="#C4C4C4"
      />
      <path
        d="M159.955 364.458C160.191 364.957 159.979 365.554 159.48 365.79L151.348 369.648C150.849 369.885 150.253 369.672 150.016 369.173C149.78 368.674 149.992 368.078 150.491 367.841L157.719 364.412L154.29 357.184C154.053 356.685 154.266 356.089 154.765 355.852C155.264 355.616 155.86 355.828 156.097 356.327L159.955 364.458ZM41.7024 301.285C40.4965 305.347 41.7406 309.366 45.8484 313.697C49.9862 318.059 56.9198 322.603 66.7545 327.571C86.4068 337.497 117.259 348.929 159.387 363.945L158.715 365.829C116.624 350.826 85.6406 339.35 65.8528 329.356C55.9675 324.363 48.7799 319.694 44.3973 315.073C39.9845 310.421 38.3088 305.689 39.7851 300.715L41.7024 301.285Z"
        fill="#C4C4C4"
      />
      <path
        d="M177.502 336.647C177.445 337.196 176.954 337.595 176.404 337.538L167.452 336.608C166.903 336.551 166.504 336.06 166.561 335.511C166.618 334.961 167.11 334.562 167.659 334.619L175.616 335.446L176.443 327.488C176.5 326.939 176.991 326.54 177.541 326.597C178.09 326.654 178.489 327.146 178.432 327.695L177.502 336.647ZM15.9867 105.537C14.8582 107.388 14.5312 110.073 15.2287 113.8C15.924 117.515 17.6131 122.131 20.3345 127.71C25.7752 138.863 35.245 153.674 48.7396 172.505C75.7215 210.158 118.668 263.712 177.284 335.913L175.731 337.174C117.127 264.986 74.1382 211.382 47.1139 173.67C33.6054 154.819 24.0544 139.897 18.537 128.586C15.7793 122.933 14.0051 118.134 13.2628 114.168C12.5226 110.212 12.7838 106.948 14.2792 104.496L15.9867 105.537Z"
        fill="#C4C4C4"
      />
      <path
        d="M355 320.132L354.78 319.157L354.712 319.172L354.647 319.197L355 320.132ZM614.983 42.8167C614.882 42.2738 614.36 41.9157 613.817 42.0169L604.969 43.6661C604.426 43.7673 604.068 44.2895 604.169 44.8324C604.271 45.3754 604.793 45.7335 605.336 45.6322L613.2 44.1663L614.666 52.0308C614.767 52.5737 615.29 52.9318 615.833 52.8306C616.375 52.7294 616.734 52.2072 616.632 51.6643L614.983 42.8167ZM229.915 340.91C246.7 333.258 266.357 332.627 287.79 331.766C309.155 330.908 332.183 329.816 355.353 321.068L354.647 319.197C331.817 327.816 309.095 328.908 287.71 329.767C266.393 330.623 246.3 331.242 229.085 339.09L229.915 340.91ZM355.22 321.108C399.143 311.202 429.987 291.479 466.884 249.386C503.726 207.357 546.686 142.926 614.825 43.5655L613.175 42.4344C544.987 141.868 502.12 206.154 465.38 248.068C428.695 289.918 398.202 309.364 354.78 319.157L355.22 321.108Z"
        fill="#C4C4C4"
      />
      <defs>
        <filter
          id="filter0_d"
          x="135.127"
          y="176.16"
          width="318.586"
          height="74.48"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          />
          <feOffset dx="-2" dy="5" />
          <feGaussianBlur stdDeviation="4" />
          <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.5 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
        </filter>
        <filter
          id="filter1_d"
          x="0.798584"
          y="51.2242"
          width="50.4028"
          height="52.5516"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          />
          <feOffset dy="8" />
          <feGaussianBlur stdDeviation="1" />
          <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
        </filter>
        <filter
          id="filter2_d"
          x="179"
          y="90"
          width="50.4028"
          height="52.5516"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          />
          <feOffset dy="8" />
          <feGaussianBlur stdDeviation="1" />
          <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
        </filter>
        <filter
          id="filter3_d"
          x="451"
          y="82"
          width="50.4028"
          height="52.5516"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          />
          <feOffset dy="8" />
          <feGaussianBlur stdDeviation="1" />
          <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
        </filter>
        <filter
          id="filter4_d"
          x="607"
          y="0"
          width="50.4028"
          height="52.5516"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          />
          <feOffset dy="8" />
          <feGaussianBlur stdDeviation="1" />
          <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
        </filter>
        <filter
          id="filter5_d"
          x="467"
          y="313"
          width="50.4028"
          height="52.5516"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          />
          <feOffset dy="8" />
          <feGaussianBlur stdDeviation="1" />
          <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
        </filter>
        <filter
          id="filter6_d"
          x="24"
          y="254"
          width="50.4028"
          height="52.5516"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          />
          <feOffset dy="8" />
          <feGaussianBlur stdDeviation="1" />
          <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
        </filter>
        <filter
          id="filter7_d"
          x="179"
          y="338"
          width="50.4028"
          height="52.5516"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          />
          <feOffset dy="8" />
          <feGaussianBlur stdDeviation="1" />
          <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0" />
          <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
          <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
        </filter>
      </defs>
    </svg>

    <div id="search">
      <CourseSearchBar></CourseSearchBar>
      <SearchBar></SearchBar>
      <SearchDepth></SearchDepth>
    </div>
    <SearchButton></SearchButton>
    
    <graph :nodes="grafo.nodes" :links="grafo.links"></graph>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import SearchBar from "./components/SearchBar.vue";
import SearchButton from "./components/SearchButton.vue";
import CourseSearchBar from "./components/CourseSearchBar.vue";
import SearchDepth from "./components/SearchDepth.vue";
import Graph from "./components/Graph.vue";

@Component({
  components: {
    SearchBar,
    SearchButton,
    CourseSearchBar,
    SearchDepth,
    Graph
  }
})
export default class App extends Vue {
  public options = {
    nodeLabels: true,
    linkWidth: 3,
    nodeSize: 30,
    force: 5000,
    canvas: false
  };
  get nodes() {
    return this.$store.getters.nodes;
  }
  get links() {
    return this.$store.getters.links;
  }
  get grafo() {
    const time = new Date();
    return { nodes: this.nodes, links: this.links, key: time.getTime() };
  }
}
</script>

<style lang="postcss">
.node_label {
  font-size: 20px;
}
.node_style {
  stroke-width: 2.2;
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  @apply min-h-screen;
  @apply w-full flex flex-col justify-start items-center my-16;
}
#search {
  @apply w-full max-w-full;
  @apply flex flex-row justify-center items-center;
}
#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}

#grafo {
  width: 100%;
}

div {
}

body, html {
  margin: 0;
  padding: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center
}
</style>
